function y = pleiades(x)

%
% function y = pleiades(x)
%
% Systeme d EDP des Pleiades (trajectoire de 7 planetes)
% Fonction qui calcule la derivee en un point
%

global s

% Stockage des variables: x1[],x1\'[],y1[],y1\'[],...

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Debut de la boucle sur les etats
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for i = 1:s

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Debut du calcul des coefficients intervenant dans le systeme
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 for k = 1:7
  for j = 1:7
   r(k,j) = ((x((k-1)*4*s+i)-x((j-1)*4*s+i))^2 + (x((k-1)*4*s+2*s+i)-x((j-1)*4*s+2*s+i))^2)^(3/2);
   if k ~= j
    if r(k,j) ~= 0
     r(k,j) = 1/r(k,j);
    end
   else
    r(k,j) = 0;
   end
  end
 end
 for k = 1:7
  for j = 1:7
   a(k,j) = j*(x((j-1)*4*s+i)-x((k-1)*4*s+i))*r(k,j);
   b(k,j) = j*(x((j-1)*4*s+2*s+i)-x((k-1)*4*s+2*s+i))*r(k,j);
  end
 end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Calcul de la derivee au point considere
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 y(i,1) = x(s+i);
 y(s+i,1) = sum(a(1,:));
 y(2*s+i,1) = x(3*s+i);
 y(3*s+i,1) = sum(b(1,:));
 y(4*s+i,1) = x(5*s+i);
 y(5*s+i,1) = sum(a(2,:));
 y(6*s+i,1) = x(7*s+i);
 y(7*s+i,1) = sum(b(2,:));
 y(8*s+i,1) = x(9*s+i);
 y(9*s+i,1) = sum(a(3,:));
 y(10*s+i,1) = x(11*s+i);
 y(11*s+i,1) = sum(b(3,:));
 y(12*s+i,1) = x(13*s+i);
 y(13*s+i,1) = sum(a(4,:));
 y(14*s+i,1) = x(15*s+i);
 y(15*s+i,1) = sum(b(4,:));
 y(16*s+i,1) = x(17*s+i);
 y(17*s+i,1) = sum(a(5,:));
 y(18*s+i,1) = x(19*s+i);
 y(19*s+i,1) = sum(b(5,:));
 y(20*s+i,1) = x(21*s+i);
 y(21*s+i,1) = sum(a(6,:));
 y(22*s+i,1) = x(23*s+i);
 y(23*s+i,1) = sum(b(6,:));
 y(24*s+i,1) = x(25*s+i);
 y(25*s+i,1) = sum(a(7,:));
 y(26*s+i,1) = x(27*s+i);
 y(27*s+i,1) = sum(b(7,:));
end
