function y = rope(x)

%
% function y = rope(x)
%
% Probleme dit de la corde pendante (hanging rope). Fonction
% donnant la derivee des angles au point considere
%

global dim s temps

nn = dim/2;

% Stockage des variables: theta1[], theta1\'[], ...

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Debut de la boucle sur les differents etats
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for i = 1:s

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Calcul des matrices intervenant dans le systeme
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 Arope = zeros(nn,nn);
 Brope = zeros(nn,nn);
 Grope = zeros(nn,nn);
 for l = 1:nn
  for k = 1:nn
   Grope(l,k) = nn+0.5-max(l,k);
   Arope(l,k) = Grope(l,k)*cos(x((2*l-2)*s+i,1)-x((2*k-2)*s+i,1));
   Brope(l,k) = Grope(l,k)*sin(x((2*l-2)*s+i,1)-x((2*k-2)*s+i,1));
  end
 end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Calcul des derivees secondes des angles
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 YY = zeros(nn,1);
 for l = 1:nn
  for k = 1:nn
   YY(l) = YY(l)-Brope(l,k)*(x((2*k-1)*s+i,1))^2;
  end
  YY(l) = YY(l)-nn*(nn+0.5-l)*sin(x((2*k-2)*s+i,1));
  YY(l) = YY(l)-nn^2*sin(x((2*k-2)*s+i,1))*feval('fxrope',temps);
  if l <= (3*nn/4)
   YY(l) = YY(l)+nn^2*cos(x((2*k-2)*s+i,1))*feval('fyrope',temps);
  end
 end
 Z = (inv(Arope))*YY;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Calcul de la derivee au point considere
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 for j = 1:dim/2
  y((j-1)*2*s+i,1) = x(j*s+i,1);
  y((j-1)*2*s+s+i,1) = Z(j);
 end
end
